linux

Linux 内核曝出 RDS 漏洞 影响 Red Hat , Ubuntu , Debiand 与 SuSE

  • 浏览次数 19211
  • 喜欢 0
  • 评分 12345

如果您不习惯使用最新版本的Linux内核,那么现在可能是考虑升级的好时机。基于早于5.0.8的内核版本的系统在通过TCP实现RDS时已经发现一个缺陷。如果没有打补丁,该漏洞可能会使攻击者破坏系统。

121c7f409052036

Red Hat,Ubuntu,Debian和SUSE都受到了这个漏洞的影响,并且这些发行方均已为其Linux发行版发布了安全建议。值得注意的是,“攻击复杂性”被评为“高”,因此虽然安全漏洞的影响可能很严重,但成功实施攻击的难度较大。

在对该漏洞的分析中,红帽表示:在Linux内核的TCP上RDS实现中发现了一个漏洞。加载了rds_tcp内核模块的系统(通过运行listen()的本地进程通过自动加载或手动加载)可能会导致在释放后使用(UAF),其中攻击者能够操纵网络命名空间的处理套接字状态,从而可能导致内存错误和权限提升。

在对该漏洞的分析中,红帽表示:在Linux内核的TCP上RDS实现中发现了一个漏洞。加载了rds_tcp内核模块的系统(通过运行listen()的本地进程通过自动加载或手动加载)可能会导致在释放后使用(UAF),其中攻击者能够操纵网络命名空间的处理套接字状态,从而可能导致内存错误和权限提升。

无论如何,该问题已在Linux内核的5.0.8版本中进行了修补,因此如果您还没有这样做,请更新它就可以一次性解决问题。

 

(稿源:cnBeta,封面源自网络。)